A few questions on yade packages

Asked by Bruno Chareyre on 2011-02-16

Hi,

I'm not too sure what is possible and what is not with packages and I didn't find a place where everything would be summarized. Here are a few dumb questions:

1- In my package manager (aptitude), I have the following packages:
yade
yade-0.50
yade-0.60
yade-bzr2557
yade-snapshot
Why snapshot is said to be "last snapshot" while it corresponds to 2557, which is the older version it seems?

2- Yade-0.60.1 has been announced by Anton in launchpad, but is not found, how can I get it?

3- Say, I want the precompiled package corresponding to bzr2701, is it possible to find it somewhere (I guess no, just asking away)? Could it be generated automatically by the buildbot for each commit?

Thanks.

Bruno

Question information

Language:
English Edit question
Status:
Solved
For:
Yade Edit question
Assignee:
No assignee Edit question
Solved by:
Anton Gladky
Solved:
2011-02-17
Last query:
2011-02-17
Last reply:
2011-02-16
Best Anton Gladky (gladky-anton) said : #1

Hi, Bruno,

[1] That is right, all packages from this PPAs:
https://launchpad.net/~yade-pkg/+archive/stable/+packages
https://launchpad.net/~yade-pkg/+archive/snapshots/+packages

the latest build was r2557. Launchpad builds our yade reluctantly, not enough RAM on their servers. I think you remember tons of emails on "build rejecting". So I try not to build deb-packages on Launchpad very often.

[2] I will try to build yade-0.60.1, but, again.... see [1]. Sometimes it takes several days to build it.

[3] It is possible, and, I think, desirable. We just need pbuilder installed. I am also working on RPM-packaging, it would be good to have those as well.

Thanks Anton Gladky, that solved my question.